1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSLog XSD
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • verifyCustomerReference
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      POST
    • getValueCodes
      GET
    • getStockLevels
      GET
    • lookupPrices
      POST
    • lookupMargins
      POST
  • Schemas
    • TransactionType
    • RetailTransactionType
    • LineItemType
    • TransactionLinkType
    • SaleReturnType
    • RetailPriceModifierType
    • ActionAmountType
    • TaxType
    • CustomerInformationType
    • CustomerOrderType
    • TenderLineItemType
    • TenderType
    • AuthorizationType
    • RoundingType
    • VoidsLineItemType
    • PriceModificationType
    • TenderControlTransactionType
    • TillSettleType
    • TenderSummaryType
    • SummaryAmountType
    • ForeignSummaryAmountType
    • TenderLoanType
    • TenderPickupType
    • TotalsType
    • POSLog
  1. Live Endpoints

getCustomers

GET
/getCustomers
This endpoint shall be implemented by the customer system and called by PearlPOS to search for customers.
PearlPOS provides two customer search modes: Simple Search and Advanced Search.
Simple Search
Only B2C customers are supported
Only the following request fields are allowed: "searchString", "BusinessUnitID" and "CustomerID".
Advanced Search
Both B2B and B2C customers are supported
All request fields are allowed except for: "searchString"
For B2B, "role" decides what is searched:
CUSTOMER - main customers (the paying party). Return "hasMultipleReceivers" and "deliveryRecipients".
RECIPIENT - delivery recipients belonging to a main customer. Return "mainCustomer".
Common
PearlPOS only sends request fields that have a value. A missing field is not a filter.
All provided request fields should be evaluated using AND logic
Fields that are not applicable for a customer shall be omitted from the response or be set to null
Return HTTP 200 with an empty array when no customers are found

Request

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/getCustomers?searchString=undefined&role=undefined&CustomerID=undefined&name=undefined&name2=undefined&phoneNumber=undefined&email=undefined&street=undefined&postCode=undefined&city=undefined&BusinessUnitID=undefined'
Response Response Example
B2C customer
[
    {
        "customer": "0005169437",
        "country": "NO",
        "name": "Customer name",
        "city": "Gjerdsvika",
        "postCode": "6083",
        "region": null,
        "street": "Dekkevegen 5",
        "phoneNumber": "90104922",
        "title": null,
        "email": "test@test.com",
        "image": "sap-icon://customer",
        "creditAmount": 0,
        "customerClub": true,
        "discountReasonCodes": [
            {
                "key": "1b90db4d-13dc-4bea-9ea6-aaf800e8f8d4",
                "text": "300 kr rabatt på alle salgsvarer",
                "descr": "300 kr ekstra rabtt på alle salgsvarer. Gjelder nett og butikk.",
                "source": "NAME_OF_CUSTOMER_CLUB",
                "value": 300,
                "valueType": "MONEY",
                "currency": "NOK"
            },
            {
                "key": "2c34dc5e-56ef-4f89-8abc-de120e567f9a",
                "text": "20% rabatt på nyheter",
                "descr": "20% rabatt på alle nyheter. Gjelder kun i butikk.",
                "source": "NAME_OF_CUSTOMER_CLUB",
                "value": 20,
                "valueType": "PERCENT",
                "currency": null
            }
        ]
    }
]
Modified at 2026-10-08 10:20:07
Previous
POSlog
Next
getCustomerOrders
Built with